package com.mycompany;

import javax.ejb.EJBContext;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.rmi.RemoteException;
import java.sql.SQLException;

public class NewTxOperationsBean implements NewTxOperationsBusiness, SessionBean {

    private EJBContext context;

    public void testNewTxTransactionScope() throws RemoteException {
        System.out.println("testNewTxTransactionScope(..) called");

        try {
            // Next we do an SQL insert ourselves
            Utils.doInsert(Utils.getDataSource(), "XA_TEST_NEWTX");
        } catch (Throwable t) {
            throw new RemoteException("Failed to insert data", t);
        }
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException, RemoteException {
        this.context = sessionContext;
    }

    public void ejbRemove() throws EJBException, RemoteException {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbActivate() throws EJBException, RemoteException {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPassivate() throws EJBException, RemoteException {
        //To change body of implemented methods use File | Settings | File Templates.
    }
}
