package com.mycompany;

import javax.ejb.CreateException;
import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class YourOperationsServiceImpl implements YourOperationsService {

    final YourOperations yourOperations;
    final Connection connection;

    public YourOperationsServiceImpl() throws CreateException, RemoteException, SQLException {
        connection = Utils.getDataSource().getConnection();
        final YourOperationsHome yourOperationsHome = Utils.getYourOperationsHome();
        yourOperations = yourOperationsHome.create();
    }

    @Override
    public void testYourTransactionScope() throws RemoteException {
        yourOperations.testYourTransactionScope();
    }

    @Override
    public void close() throws SQLException {
        if (connection != null) {
            connection.close();
        }
    }
}
